### Method

# Pango Layout set_justify

#### Declaration [src]

    void
    pango_layout_set_justify (
      PangoLayout* layout,
      gboolean justify
    )

#### Description [src]

Sets whether each complete line should be stretched to fill the entire width of the layout.

Stretching is typically done by adding whitespace, but for some scripts (such as Arabic), the justification may be done in more complex ways, like extending the characters.

Note that this setting is not implemented and so is ignored in Pango older than 1.18.

Note that tabs and justification conflict with each other: Justification will move content away from its tab-aligned positions.

The default value is `FALSE`.

Also see `pango_layout_set_justify_last_line()`.

#### Parameters

`justify`

  Type: `gboolean`

  Whether the lines in the layout should be justified.